<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: KKLAudioPlayer类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_k_k_l_audio_player.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="interface_k_k_l_audio_player-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">KKLAudioPlayer类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a>&gt;</code></p>
<div class="dynheader">
类 KKLAudioPlayer 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_k_k_l_audio_player.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a7de62b429cdf4f82c0aecc7f5d9ec8b2"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#a7de62b429cdf4f82c0aecc7f5d9ec8b2">replayAudio:</a></td></tr>
<tr class="memdesc:a7de62b429cdf4f82c0aecc7f5d9ec8b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">停止当前播放，并从头播放新的声音  <a href="interface_k_k_l_audio_player.html#a7de62b429cdf4f82c0aecc7f5d9ec8b2">更多...</a><br /></td></tr>
<tr class="separator:a7de62b429cdf4f82c0aecc7f5d9ec8b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad897c2ee7c06806747eb7b490407f55f"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#ad897c2ee7c06806747eb7b490407f55f">replayAudio:withStartTime:</a></td></tr>
<tr class="memdesc:ad897c2ee7c06806747eb7b490407f55f"><td class="mdescLeft">&#160;</td><td class="mdescRight">停止当前播放，并从一个时间开始播放  <a href="interface_k_k_l_audio_player.html#ad897c2ee7c06806747eb7b490407f55f">更多...</a><br /></td></tr>
<tr class="separator:ad897c2ee7c06806747eb7b490407f55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac64ebf0b646d70c086efbef451da5ea8"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#ac64ebf0b646d70c086efbef451da5ea8">play</a></td></tr>
<tr class="memdesc:ac64ebf0b646d70c086efbef451da5ea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">从当前进度开始播放  <a href="interface_k_k_l_audio_player.html#ac64ebf0b646d70c086efbef451da5ea8">更多...</a><br /></td></tr>
<tr class="separator:ac64ebf0b646d70c086efbef451da5ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f66c583ae6f4c3865fc3a3f7e63562"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#ab8f66c583ae6f4c3865fc3a3f7e63562">pause</a></td></tr>
<tr class="memdesc:ab8f66c583ae6f4c3865fc3a3f7e63562"><td class="mdescLeft">&#160;</td><td class="mdescRight">暂停播放  <a href="interface_k_k_l_audio_player.html#ab8f66c583ae6f4c3865fc3a3f7e63562">更多...</a><br /></td></tr>
<tr class="separator:ab8f66c583ae6f4c3865fc3a3f7e63562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54e74db0c308b1b8e03200c77bd4db64"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#a54e74db0c308b1b8e03200c77bd4db64">reset</a></td></tr>
<tr class="memdesc:a54e74db0c308b1b8e03200c77bd4db64"><td class="mdescLeft">&#160;</td><td class="mdescRight">重置播放器  <a href="interface_k_k_l_audio_player.html#a54e74db0c308b1b8e03200c77bd4db64">更多...</a><br /></td></tr>
<tr class="separator:a54e74db0c308b1b8e03200c77bd4db64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a98a1dadd21b13b84ab7a8c65700cca"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_k_k_l_audio_player.html#a3a98a1dadd21b13b84ab7a8c65700cca">seekToTime:</a></td></tr>
<tr class="memdesc:a3a98a1dadd21b13b84ab7a8c65700cca"><td class="mdescLeft">&#160;</td><td class="mdescRight">设置播放进度  <a href="interface_k_k_l_audio_player.html#a3a98a1dadd21b13b84ab7a8c65700cca">更多...</a><br /></td></tr>
<tr class="separator:a3a98a1dadd21b13b84ab7a8c65700cca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a5de997ab0e6131b1af5b6e1876146eaa"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a5de997ab0e6131b1af5b6e1876146eaa">audio</a></td></tr>
<tr class="separator:a5de997ab0e6131b1af5b6e1876146eaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c9cceea19c110cc944eb278aceaee2"><td class="memItemLeft" align="right" valign="top">KKLAudioPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a93c9cceea19c110cc944eb278aceaee2">status</a></td></tr>
<tr class="memdesc:a93c9cceea19c110cc944eb278aceaee2"><td class="mdescLeft">&#160;</td><td class="mdescRight">播放状态(可用于KVO)  <a href="interface_k_k_l_audio_player.html#a93c9cceea19c110cc944eb278aceaee2">更多...</a><br /></td></tr>
<tr class="separator:a93c9cceea19c110cc944eb278aceaee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a032b079080271b43492dbefa93eb8147"><td class="memItemLeft" align="right" valign="top">CMTime&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a032b079080271b43492dbefa93eb8147">currentTime</a></td></tr>
<tr class="memdesc:a032b079080271b43492dbefa93eb8147"><td class="mdescLeft">&#160;</td><td class="mdescRight">当前的播放时间(可用于KVO)  <a href="interface_k_k_l_audio_player.html#a032b079080271b43492dbefa93eb8147">更多...</a><br /></td></tr>
<tr class="separator:a032b079080271b43492dbefa93eb8147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a530cc524d9a02634421aaad0d565e0ed"><td class="memItemLeft" align="right" valign="top">CMTime&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a530cc524d9a02634421aaad0d565e0ed">totalTime</a></td></tr>
<tr class="memdesc:a530cc524d9a02634421aaad0d565e0ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">总共播放时间  <a href="interface_k_k_l_audio_player.html#a530cc524d9a02634421aaad0d565e0ed">更多...</a><br /></td></tr>
<tr class="separator:a530cc524d9a02634421aaad0d565e0ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2b5e6476469b1ae714b94fd7646d369"><td class="memItemLeft" align="right" valign="top">NSError *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#aa2b5e6476469b1ae714b94fd7646d369">error</a></td></tr>
<tr class="memdesc:aa2b5e6476469b1ae714b94fd7646d369"><td class="mdescLeft">&#160;</td><td class="mdescRight">播放错误(可用于KVO)  <a href="interface_k_k_l_audio_player.html#aa2b5e6476469b1ae714b94fd7646d369">更多...</a><br /></td></tr>
<tr class="separator:aa2b5e6476469b1ae714b94fd7646d369"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b1cfeef11def971bf6e34059ea4a4ca"><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a6b1cfeef11def971bf6e34059ea4a4ca">shouldUpdatePlayerWidget</a></td></tr>
<tr class="memdesc:a6b1cfeef11def971bf6e34059ea4a4ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">是否需要更新后台播放器插件  <a href="interface_k_k_l_audio_player.html#a6b1cfeef11def971bf6e34059ea4a4ca">更多...</a><br /></td></tr>
<tr class="separator:a6b1cfeef11def971bf6e34059ea4a4ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38c6dc27351f467d3a8fac39618b991f"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_k_k_l_audio_player.html#a38c6dc27351f467d3a8fac39618b991f">volume</a></td></tr>
<tr class="memdesc:a38c6dc27351f467d3a8fac39618b991f"><td class="mdescLeft">&#160;</td><td class="mdescRight">音量  <a href="interface_k_k_l_audio_player.html#a38c6dc27351f467d3a8fac39618b991f">更多...</a><br /></td></tr>
<tr class="separator:a38c6dc27351f467d3a8fac39618b991f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00032">32</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ab8f66c583ae6f4c3865fc3a3f7e63562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8f66c583ae6f4c3865fc3a3f7e63562">&#9670;&nbsp;</a></span>pause</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) pause </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>暂停播放 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="ac64ebf0b646d70c086efbef451da5ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac64ebf0b646d70c086efbef451da5ea8">&#9670;&nbsp;</a></span>play</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) play </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>从当前进度开始播放 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a7de62b429cdf4f82c0aecc7f5d9ec8b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7de62b429cdf4f82c0aecc7f5d9ec8b2">&#9670;&nbsp;</a></span>replayAudio:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) replayAudio: </td>
          <td></td>
          <td class="paramtype">(id&lt;<a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;)&#160;</td>
          <td class="paramname"><em>audio</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>停止当前播放，并从头播放新的声音 </p>
<p>暂停当前播放，并从头播放新的声音 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="ad897c2ee7c06806747eb7b490407f55f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad897c2ee7c06806747eb7b490407f55f">&#9670;&nbsp;</a></span>replayAudio:withStartTime:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) <a class="el" href="interface_k_k_l_audio_player.html#a7de62b429cdf4f82c0aecc7f5d9ec8b2">replayAudio:</a> </td>
          <td></td>
          <td class="paramtype">(id&lt;<a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;)&#160;</td>
          <td class="paramname"><em>audio</em></td>
        </tr>
        <tr>
          <td class="paramkey">withStartTime:</td>
          <td></td>
          <td class="paramtype">(CMTime)&#160;</td>
          <td class="paramname"><em>currentTime</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>停止当前播放，并从一个时间开始播放 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a54e74db0c308b1b8e03200c77bd4db64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54e74db0c308b1b8e03200c77bd4db64">&#9670;&nbsp;</a></span>reset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) reset </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>重置播放器 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a3a98a1dadd21b13b84ab7a8c65700cca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a98a1dadd21b13b84ab7a8c65700cca">&#9670;&nbsp;</a></span>seekToTime:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) seekToTime: </td>
          <td></td>
          <td class="paramtype">(CMTime)&#160;</td>
          <td class="paramname"><em>time</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>设置播放进度 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a> 第 <a class="el" href="_k_k_l_audio_player_8m_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a5de997ab0e6131b1af5b6e1876146eaa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5de997ab0e6131b1af5b6e1876146eaa">&#9670;&nbsp;</a></span>audio</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;) audio</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00033">33</a> 行定义.</p>

</div>
</div>
<a id="a032b079080271b43492dbefa93eb8147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a032b079080271b43492dbefa93eb8147">&#9670;&nbsp;</a></span>currentTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CMTime) currentTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>当前的播放时间(可用于KVO) </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00037">37</a> 行定义.</p>

</div>
</div>
<a id="aa2b5e6476469b1ae714b94fd7646d369"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2b5e6476469b1ae714b94fd7646d369">&#9670;&nbsp;</a></span>error</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSError*) error</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>播放错误(可用于KVO) </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00041">41</a> 行定义.</p>

</div>
</div>
<a id="a6b1cfeef11def971bf6e34059ea4a4ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b1cfeef11def971bf6e34059ea4a4ca">&#9670;&nbsp;</a></span>shouldUpdatePlayerWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) shouldUpdatePlayerWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>是否需要更新后台播放器插件 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00043">43</a> 行定义.</p>

</div>
</div>
<a id="a93c9cceea19c110cc944eb278aceaee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c9cceea19c110cc944eb278aceaee2">&#9670;&nbsp;</a></span>status</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (KKLAudioPlayerStatus) status</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>播放状态(可用于KVO) </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00035">35</a> 行定义.</p>

</div>
</div>
<a id="a530cc524d9a02634421aaad0d565e0ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a530cc524d9a02634421aaad0d565e0ed">&#9670;&nbsp;</a></span>totalTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CMTime) totalTime</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>总共播放时间 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00039">39</a> 行定义.</p>

</div>
</div>
<a id="a38c6dc27351f467d3a8fac39618b991f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38c6dc27351f467d3a8fac39618b991f">&#9670;&nbsp;</a></span>volume</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) volume</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>音量 </p>

<p class="definition">在文件 <a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a> 第 <a class="el" href="_k_k_l_audio_player_8h_source.html#l00045">45</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/AudioPlayer/<a class="el" href="_k_k_l_audio_player_8h_source.html">KKLAudioPlayer.h</a></li>
<li>XHXKit/Classes/General/AudioPlayer/<a class="el" href="_k_k_l_audio_player_8m_source.html">KKLAudioPlayer.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_k_k_l_audio_player.html">KKLAudioPlayer</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
